"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class SpliceScores(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "scores",
        "source",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_5 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.SpliceScores": opencb_2_9_3.SpliceScores,
        }

    __slots__ = [
        "scores",
        "source",
    ]

    def __init__(
        self,
        scores,
        source,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.SpliceScores model.

        :param scores:
        :type scores: dict[str, double]
        :param source:
        :type source: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
